### Function

# EDataServer categories_add

#### Declaration [src]

    void
    e_categories_add (
      const gchar* category,
      const gchar* unused,
      const gchar* icon_file,
      gboolean searchable
    )

#### Description [src]

Adds a new category, with its corresponding icon, to the configuration database.

This function is thread safe.

#### Parameters

`category`

  Type: `const gchar*`

  Name of category to add.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`unused`

  Type: `const gchar*`

  DEPRECATED! associated color. DEPRECATED!

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_file`

  Type: `const gchar*`

  Full path of the icon associated to the category.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`searchable`

  Type: `gboolean`

  Whether the category can be used for searching in the GUI.